#
# spec file for package muparser
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           muparser
%define lname	libmuparser2_3_4
Version:        2.3.4
Release:        1.6
Summary:        A math parser library
License:        MIT
Group:          Productivity/Scientific/Math
URL:            http://muparser.beltoforion.de/
Source:         https://github.com/beltoforion/muparser/archive/v%version.tar.gz
Patch0:         muparser-abiversion.diff
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
muParser is an extensible math parser library written in C++. It
works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%package -n %lname
Summary:        Library to evaluate strings as mathematical functions
Group:          System/Libraries

%description -n %lname
muParser is an extensible math parser library written in C++. It
works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%package devel
Summary:        Development files for muparser
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
muParser is an extensible math parser library written in C++. It
works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_PREFIX="%_prefix"
%cmake_build

%install
%cmake_install

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libmuparser.so.2*
%license LICENSE

%files devel
%_includedir/muParser*.h
%_libdir/libmuparser.so
%_libdir/cmake/
%_libdir/pkgconfig/muparser.pc
%doc CHANGELOG

%changelog
* Tue Nov 15 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.3.4
  * build: resolve sprintf deprecation warnings
* Sat Jan 22 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.3.3.1
  * Some issues found by fuzzers were fixed.
* Wed Jun 17 2020 Paolo Stivanin <info@paolostivanin.com>
- Update to 2.3.2:
  * using OpenMP is now the default settings for cmake based builds
  * added optimization for trivial expressions
  * introduced a maximum length for expressions (5000 Character)
  * introduced a maximum length for identifiers (100 Characters)
  * removed the MUP_MATH_EXCEPTION macro and related functionality
  * removed ParserStack.h (replaced with std::stack)
  * removed macros for defining E and PI (replaced with a static constants)
  * the MUP_ASSERT macro is no longer removed in release builds
    for better protection against segmentation faults
- Updated muparser-abiversion.diff as the project is now using cmake
- Removed muparser-optflags.patch as the project is now using cmake
  and the Makefile.in file no longer exists
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Specfile modernization.
* Sat Jul  6 2019 Jan Engelhardt <jengelh@inai.de>
- Trim bias from descriptions.
* Mon Oct 22 2018 badshah400@gmail.com
- Update to version 2.2.6.1:
  * build system based on cmake
  * source code fixes for modern compilers
- Update soversion in muparser-abiversion.diff and baselibs.conf.
* Sun Nov 27 2016 aloisio@gmx.com
- Added baselibs.conf
* Sun Mar 13 2016 jengelh@inai.de
- Update to new upstream release 2.2.5
  * example2 extended to work with UNICODE character set
  * muChar_t in muParserDLL.h was not set properly when UNICODE
  was used
* Mon Feb  2 2015 jengelh@inai.de
- Update to new upstream release 2.2.4
  * String constants did not work properly. Using more than a single
  one was impossible.
  * return type of ParserError::GetPos changed to int
  * Bulkmode did not evaluate properly if "=" and "," operator was
  used in the expression
- Add muparser-abiversion.diff
* Fri Jan 25 2013 jengelh@inai.de
- Update to new upstream release 2.2.3
  * fixed issue 3509860: Callbacks of functions with string
  parameters were called twice
- Remove muparser-fix-ac.diff, muparser-fix-undef.diff
  (merged upstream)
* Thu Nov 29 2012 jengelh@inai.de
- Updated homepage URL
* Thu Apr  5 2012 jengelh@medozas.de
- update to new upstream release 2.2.2
  * Retrieving all results of expressions made up of comma separate
  subexpressions is now possible with a new Eval overload.
  * Callback functions with fixed number of arguments can now have up
  to 10 parameters
  * ternary if-then-else operator added (C-like; "x?y:z")
  * new intrinsic binary operators: "&&", "||" (logical and, or)
  * A new bulkmode allows submitting large arrays as variables to
  compute large numbers of expressions with a single call.- enable
  parallel build
* Wed Nov 10 2010 aeszter@gwdg.de
- update to 1.34
* Tue Nov 17 2009 aeszter@gwdg.de
- fix parallel build
* Sun Aug 30 2009 lars@linux-schulserver.de
- build for openSUSE-Education
* Thu Apr  2 2009 uli@suse.de
- initial package
